Skip to main content
POST
/
api
/
v1
/
tasks
/
{taskIdentifier}
/
batch
TypeScript
import { task } from "@trigger.dev/sdk";

export const myTask = task({
  id: "my-task",
  run: async (payload: { message: string }) => {
    console.log("Hello, world!");
  }
});

// Somewhere else in your code
await myTask.batchTrigger([
  { payload: { message: "Hello, world!" } },
  { payload: { message: "Hello again!" } },
]);
{
  "batchId": "batch_1234",
  "runs": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Use your project-specific Secret API key. Will start with tr_dev_, tr_prod, tr_stg, etc.

You can find your Secret API key in the API Keys section of your Trigger.dev project dashboard.

Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.

import { configure } from "@trigger.dev/sdk";

configure({ accessToken: "tr_dev_1234" });

Path Parameters

taskIdentifier
string
required

The id of a task

Body

application/json
items
object[]
required

An array of payloads to trigger the task with (max 1,000 items).

Maximum array length: 1000

Response

Batch triggered successfully

batchId
string
required

The ID of the batch that was triggered

Example:

"batch_1234"

runs
string[]
required

An array of run IDs that were triggered